﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;

namespace WindowsFormsApplication326
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt2 = new DataTable();
            dt2.Columns.Add("Text");
            dt2.Columns.Add("Text2");
            dt2.Rows.Add();
            dt2.Rows.Add();

            DataTable dt = new DataTable();
            dt.Columns.Add("Text");
            dt.Columns.Add("Id", typeof(int));

            dt.Rows.Add(new object[] { "Branch 1", 1 });
            dt.Rows.Add(new object[] { "Branch 2", 2 });
            dt.Rows.Add(new object[] { "Branch 3", 3 });

            ultraGrid1.DataSource = dt2;
            ultraComboEditor1.DataSource = dt;
            
            ultraComboEditor1.CheckedListSettings.CheckBoxStyle = Infragistics.Win.CheckStyle.CheckBox;
            ultraComboEditor1.CheckedListSettings.EditorValueSource = Infragistics.Win.EditorWithComboValueSource.CheckedItems;
            ultraComboEditor1.CheckedListSettings.ListSeparator = ",";
            ultraComboEditor1.ValueMember = "Id";
            ultraComboEditor1.DisplayMember = "Text";
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns[0].EditorComponent = ultraComboEditor1;
            e.Layout.Bands[0].Columns[0].Width = 200;

            e.Layout.Bands[0].Columns[1].EditorComponent = ultraComboEditor1;
            e.Layout.Bands[0].Columns[1].Width = 200;
        }

        private void ultraGrid1_CellListSelect(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            string str = "";
            for (int i = 0; i < ((UltraComboEditor)e.Cell.Column.EditorComponent).CheckedItems.Count; i++)
            {
                str += ((UltraComboEditor)e.Cell.Column.EditorComponent).CheckedItems[i].DataValue;
            }
            e.Cell.Value = str;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            Console.WriteLine(ultraGrid1.Rows[0].Cells[0].Value);
        }
    }
}
